summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xci/build_rpm/build_rpms_docker.sh1
-rwxr-xr-xci/deploy/deploy.sh5
2 files changed, 6 insertions, 0 deletions
diff --git a/ci/build_rpm/build_rpms_docker.sh b/ci/build_rpm/build_rpms_docker.sh
index 62993042..4434157a 100755
--- a/ci/build_rpm/build_rpms_docker.sh
+++ b/ci/build_rpm/build_rpms_docker.sh
@@ -52,5 +52,6 @@ do
done
cd ..
mv target/el7/noarch/installdaisy_el7_noarch.bin target/el7/noarch/opnfv-${OPNFV_ARTIFACT_VERSION}.bin
+chmod +x target/el7/noarch/opnfv-${OPNFV_ARTIFACT_VERSION}.bin
cp target/el7/noarch/opnfv-${OPNFV_ARTIFACT_VERSION}.bin $rpm_output_dir
exit $rc
diff --git a/ci/deploy/deploy.sh b/ci/deploy/deploy.sh
index e68368a6..af044f42 100755
--- a/ci/deploy/deploy.sh
+++ b/ci/deploy/deploy.sh
@@ -179,6 +179,11 @@ if [ $DRY_RUN -eq 1 ]; then
exit 1
fi
+if [ ! -x ${WORKSPACE}/opnfv.bin ]; then
+ echo "opnfv.bin does not exist in WORKSPACE or is not executable, exit."
+ exit 1
+fi
+
test -d ${VM_STORAGE} || mkdir -p ${VM_STORAGE}
function create_node